---
title: "Confirm Cart"
description: "Use POST /carts/{cart_id}/confirm to continue a cart that needs a second payment-confirmation step."
canonical: https://docs.ordering.co/api-reference/guides/confirm-cart/
---

# Confirm Cart

> **API operation:** [Open the endpoint in the API reference](https://docs.ordering.co/api-reference/#tag/carts/POST/carts/{cart_id}/confirm)

Use `POST /carts/{cart_id}/confirm` to continue a cart that needs a second payment-confirmation step. The current public operation is `Cart.confirm`.

If available, the operation requires authentication and verifies cart ownership. The cart must have order type and request data and be in an eligible state such as open, pending payment, or payment failed. Confirmation behavior and required payment data depend on the configured payment method; see the operation guide for the exact request.

See [Cart model](https://docs.ordering.co/api-reference/guides/cart-model/) and [Payment overview](https://docs.ordering.co/api-reference/guides/payment-how-does-it-work/).

## OpenAPI reference

**Operation:** `POST /carts/{cart_id}/confirm`

**Path parameters**

| Name      | Type   | Required | Description |
| --------- | ------ | -------- | ----------- |
| `cart_id` | string | Yes      | —           |

**Header parameters**

| Name              | Type   | Required | Description |
| ----------------- | ------ | -------- | ----------- |
| `User-Agent`      | string | No       | —           |
| `X-Forwarded-For` | string | No       | —           |
| `X-SOCKET-ID-X`   | string | No       | —           |

**Request body fields**

| Name      | Type | Required |
| --------- | ---- | -------- |
| `user_id` | any  | No       |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK (Envelope)                         |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/carts/POST/carts/{cart_id}/confirm)
